> For the complete documentation index, see [llms.txt](https://docs.bitoftrade.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitoftrade.com/for-developers/cross-chain-messaging-protocol/quick-start/emit-event.md).

# Emit event

Cross Chain Messaging Protocol makes it possible to send events between different chains. CCMP relies on the events. To start interacting with it, modify your **Src** smart contract to emit the event.

```solidity
pragma solidity ^0.8.0;

contract MsgSender {
    event MyMessage(string message);

    function sendMessage(string memory _message) external {
        emit MyMessage(_message);
    }
}
```

You could also add **destChainId** and **destAddress** params to the event to make it more specific. However, none of those are required, and you could pass any parameters depending on your internal dApp logic.&#x20;

See the example of `sendMessage` transaction on the [explorer](https://etherscan.io/address/0x1170490264e8c604e0d0861b76768a9e9a300b02).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitoftrade.com/for-developers/cross-chain-messaging-protocol/quick-start/emit-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
